#ifndef TESTGRAYPIXEL_H_
#define TESTGRAYPIXEL_H_

#include <cxxtest/TestSuite.h>

#include "GrayPixel.h"

class TestGrayPixel : public CxxTest::TestSuite
{
public:
	void testOperatorSum() {
		GrayPixel p1(3);
		GrayPixel p2(234);
		GrayPixel result = p1 + p2;
		TS_ASSERT(result.getV() == 237);
	}

	void testOperatorGT() {
		GrayPixel p1(3);
		GrayPixel p2(234);
		TS_ASSERT(p2 > p1);
		TS_ASSERT(!(p1 > p2));
	}

	void testOperatorEquals() {
		GrayPixel p1(3);
		GrayPixel p2(234);
		GrayPixel p3(3);
		TS_ASSERT(p1 == p3);
		TS_ASSERT(!(p1 == p2));
	}

};

#endif /*TESTGRAYPIXEL_H_*/
